Bug 240347 - net-im/pidgin-sipe: update to 1.24.0, pet portlint
Summary: net-im/pidgin-sipe: update to 1.24.0, pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-05 09:28 UTC by Piotr Kubaj
Modified: 2019-09-24 20:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (john.c.prather)


Attachments
patch (5.05 KB, patch)
2019-09-05 09:28 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (john.c.prather)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-05 09:28:44 UTC
Created attachment 207206 [details]
patch

Update the port to 1.24.0.

Add explicit dependencies which are installed and linked to anyway for libdbus, gstreamer1 and farstream.

Add USES=gnome.

Pet portlint by moving some entries.

Fix OCS2005 option, which had misspelled DESC and CONFIGURE_ENABLE entries, so it didn't even work.

Remove unneeded patch.
Comment 1 commit-hook freebsd_committer 2019-09-21 15:20:16 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Sep 21 15:19:32 UTC 2019
New revision: 512509
URL: https://svnweb.freebsd.org/changeset/ports/512509

Log:
  net-im/pidgin-sipe: update to 1.24.0, pet portlint

  Update the port to 1.24.0.

  Add explicit dependencies which are installed and linked to anyway for libdbus, gstreamer1 and farstream.

  Add USES=gnome.

  Pet portlint by moving some entries.

  Fix OCS2005 option, which had misspelled DESC and CONFIGURE_ENABLE entries, so it didn't even work.

  Remove unneeded patch.

  PR:		240347
  Approved by:	john.c.prather@gmail.com (maintainer timeout), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21714

Changes:
  head/net-im/pidgin-sipe/Makefile
  head/net-im/pidgin-sipe/distinfo
  head/net-im/pidgin-sipe/files/
  head/net-im/pidgin-sipe/pkg-plist